PostgreSQL La base de donnees la plus sophistiquee au monde.

Forums PostgreSQL.fr

Le forum officiel de la communauté francophone de PostgreSQL

Vous n'êtes pas identifié(e).

#1 04/11/2019 17:30:20

JPV95
Membre

Absence de connexion au serveur ou la connexion au serveur a été fermé

Bonjour,

J'ai installé sur mon poste de travail PostgreSQL 11 et créé une base de données avec PgAdmin 4.13.
J'en ai profité pour créer deux Owner (un admin et un lecture seule).

Toutefois toutes mes requetes ne renvoient aucune donnée, sauf le message d'erreur en objet.
Les requetes en insertion apparemment se passent bien (les données sont bien insérées) mais renvoient également le message en question.

J'ai procédé à une mise à jour avec PgAdmin 4.14, mais aucun changement.

Y aurait il une solution ?

Bien Cordialement

Hors ligne

#2 04/11/2019 18:10:15

dverite
Membre

Re : Absence de connexion au serveur ou la connexion au serveur a été fermé

Toutefois toutes mes requetes ne renvoient aucune donnée, sauf le message d'erreur en objet.
Les requetes en insertion apparemment se passent bien (les données sont bien insérées)

Comment savez-vous que les données sont bien insérées si les requêtes ne renvoient aucune donnée?

Pour le message, on s'attendrait plutôt à ce genre de message au bout de quelques minutes d'inactivité avec un firewall agressif entre le serveur et le client (auquel cas on peut utiliser TCP keepalive pour maintenir les connexions ouvertes), ou dans le cas pathologique où PostgreSQL plante à la fin de chaque requête.

Il serait peut être bon de voir ce qui arrive dans le log côté serveur au moment de l'erreur.

Hors ligne

#3 05/11/2019 15:22:16

JPV95
Membre

Re : Absence de connexion au serveur ou la connexion au serveur a été fermé

Bonjour,

Je sais que les datas ont bien été insérées car :
1 - HeidiSQL (un petit outil qui me sert de secours) me permets de les visualiser ;
2 - La sauvegarde au format SQL de la base + data, réalisée sous pgAdmin 4 comprends bien les datas correspondantes.

Par contre les statistiques des tables ne sont pas à jour :
1 - Elle comprends bien les 160 enregistrements de la table "grades" ;
2 - Mais elle masque complètement les 5 enregistrements de la table "service", qui sont pourtant bien là eux-aussi.

La création des tables, de vues, de rôles s'est correctement déroulé mais impossible de requêter et visualiser les datas (message initial).

Je ne comprends plus grand chose.

Je vérifie les points que vous m'aviez indiqué.

Bien Cordialement,

Hors ligne

#4 05/11/2019 15:41:21

JPV95
Membre

Re : Absence de connexion au serveur ou la connexion au serveur a été fermé

Re,

Voici le log du serveur pgAdmin 4 :

2019-11-05 14:34:32,955: ERROR    flask.app:    Exception when checking for update
Traceback (most recent call last):
  File "C:/Program Files (x86)/pgAdmin 4/v4/venv/Lib\urllib\request.py", line 1317, in do_open
    encode_chunked=req.has_header('Transfer-encoding'))
  File "C:/Program Files (x86)/pgAdmin 4/v4/venv/Lib\http\client.py", line 1229, in request
    self._send_request(method, url, body, headers, encode_chunked)
  File "C:/Program Files (x86)/pgAdmin 4/v4/venv/Lib\http\client.py", line 1275, in _send_request
    self.endheaders(body, encode_chunked=encode_chunked)
  File "C:/Program Files (x86)/pgAdmin 4/v4/venv/Lib\http\client.py", line 1224, in endheaders
    self._send_output(message_body, encode_chunked=encode_chunked)
  File "C:/Program Files (x86)/pgAdmin 4/v4/venv/Lib\http\client.py", line 1016, in _send_output
    self.send(msg)
  File "C:/Program Files (x86)/pgAdmin 4/v4/venv/Lib\http\client.py", line 956, in send
    self.connect()
  File "C:/Program Files (x86)/pgAdmin 4/v4/venv/Lib\http\client.py", line 1384, in connect
    super().connect()
  File "C:/Program Files (x86)/pgAdmin 4/v4/venv/Lib\http\client.py", line 928, in connect
    (self.host,self.port), self.timeout, self.source_address)
  File "C:/Program Files (x86)/pgAdmin 4/v4/venv/Lib\socket.py", line 707, in create_connection
    for res in getaddrinfo(host, port, 0, SOCK_STREAM):
  File "C:/Program Files (x86)/pgAdmin 4/v4/venv/Lib\socket.py", line 748, in getaddrinfo
    for res in _socket.getaddrinfo(host, port, family, type, proto, flags):
socket.gaierror: [Errno 11004] getaddrinfo failed

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Program Files (x86)\pgAdmin 4\v4\web\pgadmin\browser\__init__.py", line 554, in index
    response = urlreq.urlopen(url, data, 5)
  File "C:/Program Files (x86)/pgAdmin 4/v4/venv/Lib\urllib\request.py", line 222, in urlopen
    return opener.open(url, data, timeout)
  File "C:/Program Files (x86)/pgAdmin 4/v4/venv/Lib\urllib\request.py", line 525, in open
    response = self._open(req, data)
  File "C:/Program Files (x86)/pgAdmin 4/v4/venv/Lib\urllib\request.py", line 543, in _open
    '_open', req)
  File "C:/Program Files (x86)/pgAdmin 4/v4/venv/Lib\urllib\request.py", line 503, in _call_chain
    result = func(*args)
  File "C:/Program Files (x86)/pgAdmin 4/v4/venv/Lib\urllib\request.py", line 1360, in https_open
    context=self._context, check_hostname=self._check_hostname)
  File "C:/Program Files (x86)/pgAdmin 4/v4/venv/Lib\urllib\request.py", line 1319, in do_open
    raise URLError(err)
urllib.error.URLError: <urlopen error [Errno 11004] getaddrinfo failed>


Bien Cordialement

Hors ligne

#5 05/11/2019 17:51:41

rjuju
Administrateur

Re : Absence de connexion au serveur ou la connexion au serveur a été fermé

C'est à priori un problème de pgadmin qui ne gère pas correctement les proxy, ou un problème de configuration si le problème a été réglé depuis, cf https://www.postgresql.org/message-id/C … .gmail.com .  Vous pouvez essayer le contournement proposé.

Hors ligne

#6 07/11/2019 11:43:09

JPV95
Membre

Re : Absence de connexion au serveur ou la connexion au serveur a été fermé

Bonjour,

J'ai essayé le contournement proposé, mais hélas cela ne marche pas.
Cela ressemble beaucoup à mon cas mais l'erreur n'est pas la même : Dans le bug référencé, je note une erreur 407  Proxy Authentication Required.
Chez moi, il s'agit d'une erreur 11004  urlopen error getaddrinfo failed.

J'ai trouvé une correspondance de l'erreur dans stackoverflow (https://stackoverflow.com/questions/376 … nfo-failed), mais il s'agit là d'une aide pour un développement en python. Ici il s'agit de pgAmin4 et PostgreSQL 11.5.2.

Merci quand même.

Bien Cordialemant

Hors ligne

Pied de page des forums